import Mock from 'mockjs'

const data = Mock.mock({
	code: 200,
	msg: '请求成功',
	'data|1-1': [{
			type_name: '视频会员',
			'list|1-1': [{
					icon: 'https://t1-1305573081.file.myqcloud.com/wxapp/static/imgs/%E7%88%B1%E5%A5%87%E8%89%BA.png',
					name: '爱奇艺',
					introduction: "立即充值享折扣",
					remark: ['请确保充值账号无误，充值成功后不支持退换'],
					product_ids: [11549658, 16681765, 17736621, 18229248, 10971544, 15757712]
				},
				{
					icon: 'https://t1-1305573081.file.myqcloud.com/wxapp/static/imgs/%E8%85%BE%E8%AE%AF%E8%A7%86%E9%A2%91.png',
					name: '腾讯视频',
					introduction: "立即充值享折扣",
					remark: ['请确保充值账号无误，充值成功后不支持退换', '仅支持QQ号充值'],
					product_ids: [18387970, 11032040, 16894978, 14983719]
				},
				{
					icon: 'https://t1-1305573081.file.myqcloud.com/wxapp/static/imgs/%E5%93%94%E5%93%A9%E5%93%94%E5%93%A9.png',
					name: '哔哩哔哩',
					introduction: "立即充值享折扣",
					remark: ['请确保充值账号无误，充值成功后不支持退换'],
					product_ids: [10645834]
				}
			]
		},
		{
			type_name: '虚拟卡币',
			'list|1-1': [{
				icon: 'https://t1-1305573081.file.myqcloud.com/wxapp/static/imgs/%E7%88%B1%E5%A5%87%E8%89%BA.png',
				name: '斗鱼直播',
				introduction: "立即充值享折扣",
				remark: ['请确保充值账号无误，充值成功后不支持退换'],
				product_ids: [12664416]
			}]
		}
	]
})

const fulu = {
	getTypeList() {
		return [200, data]
	}
}

export default fulu
